Skip to main content
GET
/
smart-contracts
get verified smart contracts
curl --request GET \
  --url https://eth.blockscout.com/api/v2/smart-contracts
{
  "items": [
    {
      "coin_balance": "10000",
      "compiler_version": "v0.5.10+commit.5a6ea5b1",
      "language": "vyper | yul | solidity",
      "has_constructor_args": true,
      "optimization_enabled": true,
      "verified_at": "2022-03-05T11:40:29.087000Z",
      "transactions_count": 123,
      "market_cap": 1000000000.0001
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "smart_contract_id": 46
  }
}

Query Parameters

q
string
Example:

"proxy"

filter
string
Example:

"vyper | solidity | yul"

Response

smart contract

items
object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"smart_contract_id": 46
}